<?php



// Add Featured Image Support
add_theme_support( 'post-thumbnails', array( 'post', 'page' ) );


/* Create Required Pages
---------------------------------------------------------------------------------------------------- */

function theme_required_pages() {
            
  // Define the pages.
  $pages = array(
		'full-width' => '%WP_title%',
		'right-sidebar' => '%WP_title%',
		'left-sidebar' => '%WP_title%',
		'both-sidebars' => '%WP_title%',
		'Post-Full-Width' => '%WP_title%',
		'Post-Right-Sidebar' => '%WP_title%',
		'Post-Left-Sidebar' => '%WP_title%',
		'Post-Both-Sidebar' => '%WP_title%'
	);
            
  // Create the pages.
  foreach ($pages as $page_slug => $page_title) {
                
    // Define the check.
    $page_check = get_page_by_title($page_title);
                
    // Define the page.
    $page = array(
      'post_type' => 'page',
      'post_title' => $page_title,
      'post_content' => '',
      'post_status' => 'publish',
      'post_author' => 1,
      'post_name' => $page_slug
    );
                
    // If the page doesn't already exist, create it.
    if (!isset($page_check->ID)) {
      $page_id = wp_insert_post($page);
    }
  }
}
add_action('after_switch_theme', 'theme_required_pages');



/* Add HTML5 Custom Theme Support
---------------------------------------------------------------------------------------------------- */
function custom_theme_setup() {
	add_theme_support( 'html5', array( 'comment-list' ) );
}
add_action( 'after_setup_theme', 'custom_theme_setup' );


// Stop wrapping archive descriptions in tags
remove_filter('term_description','wpautop');

// Get Post tag links
function get_post_tag_links($seperator){
	$tags = wp_get_post_tags(get_the_ID());
	$html = '';
	$lastTag = end($tags);
	foreach ( $tags as $tag ){
	$tag_link = get_tag_link( $tag->term_id );
	$html .= "<a href='{$tag_link}' class='wordpress-post-tag'>{$tag->name}</a>";
		if ($tag != $lastTag) {
			$html .= $seperator;
		}
	}
	return $html;
}

// Get Template Asset
function get_template_asset_path($path){

	$assetPath = get_template_directory_uri();
	$assetPath .= $path;
	return $assetPath;
}