<?php


//KIRKI CONFIGURATION

//General configuration for Kirki
Kirki::add_config( 'sup_options', [
    'capability'    => 'edit_theme_options',
    'option_type'   => 'theme_mod',
] );


Kirki::add_panel( 'header_layout', array(
    'priority'    => 30,
    'title'       => esc_html__( 'Header Panel', 'kirki' ),
    'description' => esc_html__( 'Header panel description', 'kirki' ),
) );


Kirki::add_section( 'header_layout_settings', array(
    'title'          => esc_html__( 'My Section', 'kirki' ),
    'description'    => esc_html__( 'My section description.', 'kirki' ),
    'panel'          => 'header_layout',
    'priority'       => 160,
) );


Kirki::add_field( 'sup_options', [
	'type'        => 'background',
	'settings'    => 'background_setting',
	'label'       => esc_html__( 'Background Control', 'kirki' ),
	'description' => esc_html__( 'Background conrols are pretty complex - but extremely useful if properly used.', 'kirki' ),
	'section'     => 'header_layout_settings',
	'default'     => [
		'background-color'      => '#F8FCFF',
		'background-image'      => '',
		'background-repeat'     => 'repeat',
		'background-position'   => 'center center',
		'background-size'       => 'cover',
		'background-attachment' => 'scroll',
	],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => 'body',
		],
	],
] );




Kirki::add_field( 'sup_options', [
	'type'     => 'text',
	'settings' => 'text_setting',
	'label'    => esc_html__( 'Text Control', 'kirki' ),
	'section'  => 'header_layout_settings',
	'default'  => esc_html__( 'This is a default value', 'kirki' ),
	'priority' => 10,
] );